/*
--|$Log:	xwc.c,v $
--|Revision 8.0  91/01/17  10:47:46  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
*/
#include <X11/Intrinsic.h>

extern WidgetClass XwarrowWidgetClass;
extern WidgetClass XwbulletinBoardWidgetClass;
extern WidgetClass XwbulletinWidgetClass;
extern WidgetClass XwbuttonWidgetClass;
extern WidgetClass XwcascadeWidgetClass;
extern WidgetClass XwformWidgetClass;
extern WidgetClass XwimageEditWidgetClass;
extern WidgetClass XwlistWidgetClass;
extern WidgetClass XwlistrowColWidgetClass;
extern WidgetClass XwmanagerWidgetClass;
extern WidgetClass XwmenuButtonWidgetClass;
extern WidgetClass XwmenuSepWidgetClass;
extern WidgetClass XwmenubuttonWidgetClass;
extern WidgetClass XwmenumgrWidgetClass;
extern WidgetClass XwmenupaneWidgetClass;
extern WidgetClass XwpanelWidgetClass;
extern WidgetClass XwpopupMgrWidgetClass;
extern WidgetClass XwpopupmgrWidgetClass;
extern WidgetClass XwprimitiveWidgetClass;
extern WidgetClass XwpushButtonWidgetClass;
extern WidgetClass XwrowColWidgetClass;
extern WidgetClass XwsashWidgetClass;
extern WidgetClass XwscrollBarWidgetClass;
extern WidgetClass XwscrollbarWidgetClass;
extern WidgetClass XwscrolledWindowWidgetClass;
extern WidgetClass XwsrasterWidgetClass;
extern WidgetClass XwstaticRasterWidgetClass;
extern WidgetClass XwstaticTextWidgetClass;
extern WidgetClass XwstatictextWidgetClass;
extern WidgetClass XwswindowWidgetClass;
extern WidgetClass XwtextEditWidgetClass;
extern WidgetClass XwtexteditWidgetClass;
extern WidgetClass XwtitleBarWidgetClass;
extern WidgetClass XwtitlebarWidgetClass;
extern WidgetClass XwtoggleWidgetClass;
extern WidgetClass XwvPanedWidgetClass;
extern WidgetClass XwvaluatorWidgetClass;
extern WidgetClass XwworkSpaceWidgetClass;

WidgetClass get_xw_arrow_widget_class ()
{
   return XwarrowWidgetClass;
}

WidgetClass get_xw_bulletin_board_widget_class ()
{
   return XwbulletinBoardWidgetClass;
}

WidgetClass get_xw_bulletin_widget_class ()
{
   return XwbulletinWidgetClass;
}

WidgetClass get_xw_button_widget_class ()
{
   return XwbuttonWidgetClass;
}

WidgetClass get_xw_cascade_widget_class ()
{
   return XwcascadeWidgetClass;
}

WidgetClass get_xw_form_widget_class ()
{
   return XwformWidgetClass;
}

WidgetClass get_xw_image_edit_widget_class ()
{
   return XwimageEditWidgetClass;
}

WidgetClass get_xw_list_widget_class ()
{
   return XwlistWidgetClass;
}

WidgetClass get_xw_listrow_col_widget_class ()
{
   return XwlistrowColWidgetClass;
}

WidgetClass get_xw_manager_widget_class ()
{
   return XwmanagerWidgetClass;
}

WidgetClass get_xw_menu_button_widget_class ()
{
   return XwmenuButtonWidgetClass;
}

WidgetClass get_xw_menu_sep_widget_class ()
{
   return XwmenuSepWidgetClass;
}

WidgetClass get_xw_menubutton_widget_class ()
{
   return XwmenubuttonWidgetClass;
}

WidgetClass get_xw_menumgr_widget_class ()
{
   return XwmenumgrWidgetClass;
}

WidgetClass get_xw_menupane_widget_class ()
{
   return XwmenupaneWidgetClass;
}

WidgetClass get_xw_panel_widget_class ()
{
   return XwpanelWidgetClass;
}

WidgetClass get_xw_popup_mgr_widget_class ()
{
   return XwpopupMgrWidgetClass;
}

WidgetClass get_xw_popupmgr_widget_class ()
{
   return XwpopupmgrWidgetClass;
}

WidgetClass get_xw_primitive_widget_class ()
{
   return XwprimitiveWidgetClass;
}

WidgetClass get_xw_push_button_widget_class ()
{
   return XwpushButtonWidgetClass;
}

WidgetClass get_xw_row_col_widget_class ()
{
   return XwrowColWidgetClass;
}

WidgetClass get_xw_sash_widget_class ()
{
   return XwsashWidgetClass;
}

WidgetClass get_xw_scroll_bar_widget_class ()
{
   return XwscrollBarWidgetClass;
}

WidgetClass get_xw_scrollbar_widget_class ()
{
   return XwscrollbarWidgetClass;
}

WidgetClass get_xw_scrolled_window_widget_class ()
{
   return XwscrolledWindowWidgetClass;
}

WidgetClass get_xw_sraster_widget_class ()
{
   return XwsrasterWidgetClass;
}

WidgetClass get_xw_static_raster_widget_class ()
{
   return XwstaticRasterWidgetClass;
}

WidgetClass get_xw_static_text_widget_class ()
{
   return XwstaticTextWidgetClass;
}

WidgetClass get_xw_statictext_widget_class ()
{
   return XwstatictextWidgetClass;
}

WidgetClass get_xw_swindow_widget_class ()
{
   return XwswindowWidgetClass;
}

WidgetClass get_xw_text_edit_widget_class ()
{
   return XwtextEditWidgetClass;
}

WidgetClass get_xw_textedit_widget_class ()
{
   return XwtexteditWidgetClass;
}

WidgetClass get_xw_title_bar_widget_class ()
{
   return XwtitleBarWidgetClass;
}

WidgetClass get_xw_titlebar_widget_class ()
{
   return XwtitlebarWidgetClass;
}

WidgetClass get_xw_toggle_widget_class ()
{
   return XwtoggleWidgetClass;
}

WidgetClass get_xw_v_paned_widget_class ()
{
/*
   Using Xw_V_Paned_Widget_Class creates a demand for a procedure
   called _XtCreateFontCursor, which does not seem to be in any
   X library (rhp, 5/2/90)
   Aha!  This is apparently a misprint for _XCreateFontCursor (rhp)
*/

   return 0;
/*   return XwvPanedWidgetClass; */
}

WidgetClass get_xw_valuator_widget_class ()
{
   return XwvaluatorWidgetClass;
}

WidgetClass get_xw_work_space_widget_class ()
{
   return XwworkSpaceWidgetClass;
}
