--|$Log:	system_environment.a,v $
--|Revision 8.0  91/01/17  10:48:25  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--                         Version Information
--                         ^^^^^^^^^^^^^^^^^^^
--
-- MIT Xlib X11R3 - Ada Language Interface.
-- Version: 1.0b.
-- Release Date: May 11, 1990.
-- Compiled under SUN OS 3.5 with VADS 5.5(t).
--
--
--                         General Information
--                         ^^^^^^^^^^^^^^^^^^^
--
-- This is adapted from the Stars Foundation Ada Language Interface to the
-- MIT Xlib.

--#






-- VADS version
with U_Env;

package body System_Environment is

   function get_argc return argc_type is
   begin
      return argc_type (u_env.argc);
   end get_argc;


   function get_argv return argv_type is

      temp_argv : argv_type := new argv_list (0 .. get_argc - 1);

   begin
      for i in temp_argv'RANGE loop
         temp_argv (i) := new string'(u_env.argv (integer (i)).s);
      end loop;
      return temp_argv;
   end get_argv;

end System_Environment;
