/*
--|$Log:	cflush.c,v $
--|Revision 8.0  91/01/17  10:46:36  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
*/
/*****************************************************************
--
-- Company Name - : Unisys Corporation
--
-- Address -    : Paoli Research Center
--              : P.O. Box 517
--              : Paoli, PA 19301-0517
--
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
---------------------------------------------------------------
--
*****************************************************************/
#include <stdio.h>
#include <signal.h>
#include <sys/ioctl.h>

c_flush()
{
   fflush(stdin);
}

void
flag_abort()
{
    extern int *ada_interrupted;
    char c = '\012';
 
    *ada_interrupted = 1;
    ioctl(0,TIOCSTI,&c);
}

int *ada_interrupted;

void
set_signal(addr)
    int *addr;
{
    ada_interrupted = addr;
    signal(SIGINT, flag_abort);
}

void
callback_tester (p)
void (*p) ();
{
  long i = 1;
  long j = 2;
  long k = 3;

  p (i, j, k);
}
